Bug 122097 - Per Project Formatting Settings
Per Project Formatting Settings
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 with 1 vote (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 10:12 UTC by Jan Becicka
Modified: 2008-07-15 17:50 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2007-11-16 10:12:45 UTC
Formatting settings should be stored on project level, not user level.
Comment 1 dynamite 2008-05-10 22:50:36 UTC
I would go a little further:

* The default text at the top of each file is determined by the default licence file.  It should also be possible to
define this on a per-project basis.

* Errors and warnings may well need to be different.  For instance, one project I currently work on uses generics
throughout whereas another uses an older code-base where generics would yield a lot of warnings.  For sanity I need the
generics warnings off for the later project but on for the first one.
Comment 2 Jan Becicka 2008-06-11 12:56:09 UTC
Fixed.
Comment 3 Quality Engineering 2008-06-11 15:55:44 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #251 build
Changeset: http://hg.netbeans.org/main/rev/4de64c2b10a4
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #122097: Per Project Formatting Settings - initial implementation added for Java and J2SE and FreeForm project types.
Comment 4 Michel Graciano 2008-07-15 17:50:32 UTC
How can I get it for free form in M1?
For JSE projects everything is ok... but for free form I can't see the UI.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo